import { Host, h } from "@stencil/core";
export class XSelectGroup {
    constructor() {
        this.label = undefined;
        this.disabled = undefined;
    }
    /**
     * Element render
     */
    render() {
        return (h(Host, { key: '1705d42ba0cb59a5ac386c81935ec3f6b935ff09', disabled: this.disabled }, h("strong", { key: 'c7a9b0a6af1dfdceb39d9490eef876e754b6ab35' }, this.label), h("slot", { key: 'f593ea0ae39be96bcb1b0bb5d592f3a5446c5872' })));
    }
    static get is() { return "x-select-group"; }
    static get originalStyleUrls() {
        return {
            "$": ["./style.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["style.css"]
        };
    }
    static get properties() {
        return {
            "label": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Element label"
                },
                "attribute": "label",
                "reflect": false
            },
            "disabled": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Element disabled state"
                },
                "attribute": "disabled",
                "reflect": false
            }
        };
    }
}
